state_gameround=klass()
function state_gameround:init(watcher,ruleset)
 self.board=board:new(watcher,ruleset)
end
function state_gameround:enter() end
function state_gameround:exit() end

function state_gameround:reenter() end
function state_gameround:suspend() end

function state_gameround:update()
 self.board:update()
 if self.board:can_take_input() then
  if (btnp(0)) self.board.cursor:move_x(-1)
  if (btnp(1)) self.board.cursor:move_x(1)
  if (btnp(2)) self.board.cursor:move_y(-1)
  if (btnp(3)) self.board.cursor:move_y(1)
  if (btnp(4)) self.board.cursor:toggle_grab()
  if (btnp(5)) self.board:undo()
 end
 if (self.board:is_won()) self.done=true
end

function state_gameround:draw()
 cls(13)
 self.board:draw()
 -- bg
 pal(13,-3,1)

 -- arcana
 -- pal(1,0,1)
 pal(15,-9,1)

 -- suits
 pal(4,-11,1) -- first suit
 pal(12,12,1)
 pal(2,-8,1) 
 pal(3,-5,1)

 -- pal(8,-9,1)
 -- pal(14,8,1)
end